package junit_tests;

import static org.junit.Assert.*;

import org.junit.Test;

import model.Utilities;

public class Tests {

	@Test
	public void test() {
		int[] arr1 = {1, 2, 3, 4};
		int[] arr2 = {1, 2, 3, 4};
		
		assertTrue(arr1 != arr2); // arr1 and arr2 are pointing to two different array objects
		assertArrayEquals(arr1, arr2);
		
		arr1 = arr2;
		assertTrue(arr1 == arr2); // == compares the addresses stored in arr1 and arr2
		
		assertTrue(arr1.equals(arr2)); // .equals compares the contents of the two arrays
		
		// To be extended by Jackie.
	}
	
	@Test
	public void test_getGrownArray() {
		String[] seq = {"a", "b", "c"};
		String[] result = Utilities.returnGrownArray(seq);
		String[] expected = {"a", "b", "c", null, null, null};
		assertArrayEquals(expected, result);
	}
}








